/// <reference types="bunyan" />
import { IHttpClientConfig, CreateBuildSessionIdRequest, GetBuildSessionIdResponse } from "./contracts";
import bunyan = require('bunyan');
export declare class BackendProxy {
    protected config: IHttpClientConfig;
    protected logger: bunyan;
    constructor(config: IHttpClientConfig, logger: bunyan);
    getBuildSession(buildSessionId: string, callback: (err: Error, response: GetBuildSessionIdResponse) => void): void;
    createBuildSessionId(request: CreateBuildSessionIdRequest, callback: (err: Error, body: any) => void): void;
    private invokeCallback(callback, err, body, map?);
}
